Oracle Java ubuntu 11.10 en hogyan?

 ( csabus42 | 2011. december 2., péntek - 10:19 )

Sziasztok,

Ubuntu 11.10 re szeretnék felrakni úgy egy JRE -t firefox plugin -el együtt, hogy a legkevesebbet kelljen hackolni és az Oracle java menjen fel. Sajnos a CIB banknál a számla PDF formában való letöltését mással még nem tudtam megoldani csak a SUN -os java val. De ugye van frissebb és szeretném azt felrakni. Van valakinek rá jó megoldása ?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Szerintem ez overkill ide, mert:
- nem jdk, hanem JRE kell neki,
- a 7-es jre-t szerintem hanyagolni kellene, a magyar fejlesztőket ismerve legalábbis

A legegyszerűbb az oracle-től letölteni (most éppen innen) a cuccot, és feltepíteni, mindenféle külső repó nélkül.

Pl. ez a repo: deb http://ppa.launchpad.net/ferramroberto/java/ubuntu oneiric main

-- Soha ne vitatkozz idiotakkal! Lesulyedsz az O szintjukre es legyoznek a rutinjukkal !!! --

köszi én is ezt próbáltam és végül is most pont ez megy, csakhogy én
a ferramroberto -n csak ezeket találtam:

sun-java6-fonts
sun-java6-jre
sun-java6-plugin

van esetleg frissebb is ?

Köszi

Ennyire azért nem látom szükségét a java7-nek, de a webupd8-es link alapján a 7-es jre-t is le tudod tölteni, ha annyira égető.

egyetlen célom lett volna, hogy a mostani Java SE 6 Update 29 ra tudjak
frissíteni, mivel a PPA -s csomag u26 -os. Az 1.7 eset én is túlzónak tartom, meg azt is, hogy az Ubuntu kiherélte a SUN -os JAVA támogatást a fő tárolói közül. Nekem a PPA sajnos csak kényelmes, de biztonságosnak nem nevezném.

Köszönöm mindenkinek a tippet.

Ahzo, a hozzászólásodból csak a 6-os verzió látszott problémaként, nem az u26.
De nem egy nagy őrület felvarázsolni a leírás alapján, nyugodtan belekezdhetsz ;)

Az 1.7 eset én is túlzónak tartom, meg azt is, hogy az Ubuntu kiherélte a SUN -os JAVA támogatást a fő tárolói közül.

Az 1.6-os szériából az utolsó DLJ licenc alatt terjeszthető változat az u26. Frissebbet egyszerűen nem tehet a repóba.

Az u26-ban ismert sebezhetőségek vannak.

Ergo repült a repóból. Ez hol túlzó, és hol az Ubuntu hibája?